## ipython 0.10.2-1maemo1-m4

=== debian/changelog ===
ipython (0.10.2-1maemo1-m4) stable; urgency=low

  IPython 0.10.2 Maemo1 (21/02/2012) :
   * IPython 0.10.2 (09/04/2011) for Maemo 4 Diablo;
   * IPython 0.10.2 is optified and takes 6.3 MB after install.


 -- The IPython Development Team <ipython-dev@scipy.org>  Wed, 22 Feb 2012 03:04:10 +0000
