=== debian/control ===
Source: ipython
Section: user/development
Priority: extra
Maintainer: The IPython Development Team <ipython-dev@scipy.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: ipython
XB-Maemo-Display-Name: IPython
Architecture: all
Depends: python2.5
Suggests: python2.5-gobject, python-sympy, ipython-doc
Description: IPython - An interactive computing environment for Python. 
 IPython can be used as a replacement for the standard Python shell, or it
 can be used as a complete working environment for scientific computing
 (like Matlab or Mathematica) when paired with the standard Python scientific
 and numerical tools. It supports dynamic object introspections, numbered
 input/output prompts, a macro system, session logging, session restoring,
 complete system shell access, verbose and colored traceback reports,
 auto-parentheses, auto-quoting, and is embeddable in other Python programs.
XB-Maemo-Upgrade-Description: IPython 0.10.2 Maemo1 (21/02/2012)
XSBC-Bugtracker: http://bugs.maemo.org/
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAACXBIWXMAAAsSAAALEgHS3X78AAAP
 DklEQVR4XuVbW2wc13n+zpnLDvfG21IURcqUxdCiLrZlCbGFIDEKt45tFPVLHaRA89CXFAXqIAHc
 oA1QwCjQPrToa4EGRf3gFPBT0AZBUDSxozhyXRuyEFpSLEsUJYrkLpeXvc1t53IufSBXnh3u7uzS
 TpUmHzDYmXP+c8783/zfP2fOzBIpJX6bofaqNE3zrGVZT7mui3K5/J4Q4kNKKfL5vF4oFJ6XUk4J
 IdracM59IcT1MAxvOI7jNJtNTE5OYn5+vssoDxY9CSiXy1++c+fO35dKJbz77rvfFkJ8mEqlMDc3
 Z5w5c+YvGGNf4pzft5dSIgxDkzH2Pdd13ygWix9sbW35Fy5c+P9JgGmauHPnDpaXl7G6uoqJiQno
 ug7P81AqlWBZFsIwbGtDCMlns9k/p5T+ka7rz6VSqSuEkC4jPHj0JMB1Xdy7dw/r6+swTRNjY2OQ
 UiIIAmxvb6NUKiEIgrY2iqIgl8shm82OCiH+mRDyJUqp12WIB46eBEgpwRgDYwxCCAghIKWElBKc
 cwRBAMuy4HkehBAghCCVSiEMQ/i+Tw3DeCQIgueFED8A8GuZbRMJiDodPxZCoNFooFargXMOQgiG
 hoYQhiE455BS5n3f/33O+Y8AtGvl1wSJBHTaWiRwzlEul8Nisdho3U7T6bTKGMuoqqpRShGG4Yth
 GP4VgEqvsR4UaJJBdJ7QiQjbtt+VUh4FMAFgotls/l65XP7varUK3/chhDgUhuHTXQd4wOgZAcB+
 GcT3NU3DxMQEstksACAIghu+73/Ldd3XfN8/p+s6Ll269PRLL730w0KhwADADd3RS/cu/WsggoeF
 3J1H+MzH28tvv1+xK39GU4nXBYV0Ac88/Mw3dUX/k1DsqktKieXasvPFh774zaemn7qS0AWAPiQQ
 zwHxTVEUpNNpjI2NgRAC3/ddy7I+JoT8F2PsnKqqqNfrx8Mw1AEwAAhFqNyu3l6oNCsn614dXO4m
 1CuLV3Y8zYM+rvc6LQBAtVlFIV2YckP3bJM1oSkasloWNzdumo8OP5rBdFIPu0gkoJP2o/uEEKTT
 aeTzeQDA0NAQNE3zPc/7d875t6SUQ0KIWQAGABcAuOBYM9dwa+MWVoorCHkIEQiYH5nIzef6IiDg
 AT4qfYSV4goc30FmKIPpyWmsl9YRzvWfbw8kgdZx9Ld1G1QUBZlMBpTSXxJCPpZSPgHgOGMsC6AK
 AFxyFM0irn9wHfW36x4E4Ac+iEaC9NF07xPagxM4+PDmh2zjhxueCAT0cR3m75o6sxiE3z4974We
 YuvlfOs4ahclwjAMX9O0K3u22ddee+1oe+dA2AixdGlpaumdpamjR45OUYN+VUkrnU5lHxhjCM3w
 7ySXUwCmqEGn1Jx6ldDBZp2JEmg51TrutUVBKRW6rq8wxiClJM1mM79vAAoM54brADByagSO60DL
 a/vMOoEQgtR4qjn82HBTconc0RwK4wVe3ionNW1DXxKI54F4JLTKo3N+VVWlruuliEyy8b6jVytz
 PIOMk0G/EQACaCMaco/kILnE+JFxjGRHsEW2klq2oa8I6CWBaHn8oUfX9Y29CIAQIhfvnyif2BtH
 DBimETfpDgKoGRVqZteFQ8OHkNEz+84hCX0REHc0HgWdCJBSIpVKNVsESCmHegz1wJBIQDwKOh1H
 t2hbRVF8SmmrTarHUA8MiQT0I4HWfjwCCCGCENKyS57e/YpQ82rn1xvrf1CyS+Gjhx59/UjuyFqr
 rq8keBAJAACllAIA5xxCiL5uzgW1cMygxiHbtWt1tb4Ur9eprk3qkyeabtOos/oS01mjUz9R7Dg7
 598rvvfq5bXLzdFzoz+LEjDQPKBX+HciRlEUA7hPQF+LIs/nn//21ye+/v4Xql/4x071h7RDhW/M
 fOONZ51n38mX8092sonDDEzc2L6Ba3euIbTaZ4l9SWDPgcT9aAQQQqCqqgGgtaDSFwHLy8sfMYVh
 bX3tHA7tr+ecDxeLxSOXLl0KdqZ2rtOHkpXlBA4+3v4Y1bUquP/JGiYwYAQkSSC6qaoKXdfzQgiE
 YQghhNlrrBaW1eVfrq6uMrfh5vQ1vX32COCkcnKmVCrl1jfXN8kcqXbqoxMk9k/WgAEIALCPjG4y
 kFLCMAzouj4RhmGLgL5O1qJW2XEcUzChU4dOxetHMDJdrVY1y7HWSZ74nfoYBInx0y0KOpW39gkh
 yGazNJVKHfd9H0EQ8OHh4Y2ksfbQkFJuKIqiIsBsvFJKOVev1xEEwY1OjTtBSAEWMkgm961MJkZA
 VOdx3UeJ4Jzf3yilGB8f11RVPW3bNnzfr7788st9SQB7BFBKtdSN1Jl4ZRiGZ6vVqhBCXO3UuBPs
 wEZ5pYzmehOSx55ZurQBsH8m2HI+SkLUZm8hFKOjo5iYmBgJguAp0zTh+/6alNLtNVYLXtpr1nK1
 m3uR9Hi07gg9UhjxR2Z2dnbcoQtD+26R3eDsONj82SbsJXs3CiJIvAv0CvU4CaqqIpfLYWZmBtls
 9uzOzk7Wtm0wxooAmr3GakESKTnhy3uHbRJQoAwzj43Ytt0kBlnv0LwjHp99/L1X//TVV0Qg2Nzs
 3N1oXSIBnZJdtJwQAk3TkMlkkEqlcPjwYczOzhq6rj9TqVRUx3FQKBSWDcNof4PSA0KI21JKQQiZ
 JjZJyaz0ASCH3JjjOCNu4FaUnNL3c+/C9MLVhT9e6CiZgSXQCv/oVR8bG8P8/DxOnz6Ns2fP6jMz
 M/Oe531tbW0NjuPI55577n8OHz7c10wQACSVS1JKX1GUCeWmMtkqP4VT0/V6fTRQgjXjhJE4A+wH
 iREQT3rxBJjNZnH+/HksLCxA13Wk0+mvMMb++tatW0fW1tZg23ZDSvnzXuPEUX24ujO0PrRCKT0p
 pDgNYBUAOOfnNzY24Pt+Xyu+/SDxWaBbtm+VjY2NPZHNZt+WUgrOORqNRqFUKk1fv34dtVoNYRj+
 XFGUetI4MXhCiBKl9CSAUwD+EwCCMPicaZpcSHGzd/P+kRgBnbJ9dB9Avl6vP6koCiil8DwPq6ur
 KJfLcBwHAN5SFKVv/QOAUIXvp/0SqRNgB8fAQXM0pxGPTNm27WvTWjGpj36RSEBS5nddF3fv3kW5
 vJuTHMfB5uYmtre34bpujRDyA03T+tY/AAhdhM3h5rJRNYB1zIFBG9fGc9SlhxuNhmU8bfzfERB3
 PvrLOYfjOLAsq83e8zzU63XGOf+XdDp9T1UTlbYPnPNFIQQIIcchoQEoWJaVtWyrYhDj/uPsp0Vf
 BMRzQPTX8zxElr0QBAGazSY45z+hlP5tOp0eeJ0OAKSUi3sSm5O/kDn5pHyo0WiMiRGxOLQw9Jnc
 AYADEBAno9lsotlsRu23GGM/BvC6YRiWoiiQcvBPA8KZ0NRua2VCyGEZyOPH5LFjK5UVnQt+j6hk
 IEn1Ql8ERJ2PS8L3/arneVcAtB60S5TS76uq+pNUKoXWmuCg4GPc55wXARwmhBwfF+PHFuuLlAt+
 J6ntIEgUZ9zpOCmMsWuEkBcBeADuzwz33hHebzMoJGTIwVcIIecVKPMsZPOmaYZQcS2p7SDoSUD8
 qke139pvfRaj67svNPdWgtAK/Zb9wNARBo8E18hV8ocz7sw5f8c/aZrm9siLI59ZAgQGnAq3nI6S
 AACqqkLTNGiaBlVV0VoJjrY9CLjg1/fGPLeysnLYsqwKPuMvTQaSQFwK3cK7VRb/HRRSymXOOVzX
 HbMsS5MZWVZHVTup3SBITILxrRMJ0Wjo1s9BIIfkXcGFb5pmyjRNkFFyVy/ofa0r9IuBJRDVf2sB
 JFrebTsIlMeVBuf8nmVZsG0bnPPP7BmghcQ1wegVj5IRj4Zezh80AgBASnmDcw7f90NIXE6yHxSJ
 ETCIDLrZfxoCUqnULQCSMVbJn8tvJ9kPir5yQFwCvZzu1s9BYUwZ6807Tck5r6SmUv0urLbBCZ2H
 q83qE/Vmnc8Mz7wzaozev5MkRkB8BSge2lEyfhUSyD+Wr6iqKgQVZSiwkuw7oWyVn/3pnZ9+/7sf
 fPeN2zu3F6J1iQR0CvW4c72c/7QEnPJPHZVSKpmTmWvGEeNAt8CG38DVrau4snQFgdm+NDHQPKBb
 2LfKu+HTEKDr+udrtRqROXkrybYb3NDF7cpt1Et1iKD9PPvKAS0HujndS/+t+oMiCIJ53/c5lfR2
 km03CCkQ8AA85PvOJTEC4g53iwIh9n8fEO3jIDC4kbFtezYMQyc7km1bz/+s0HcEdJJAJyK69ZME
 SigIIW22s/bso+VyOR8EwUfjT4/vW1ilhHbcj0NiL1o7qDSRgLjD8cQXlUKvfvaBAGr2k+FPjJ8A
 EwzbzjaYYK12pzY3N8EYWwHgRJtrioaj+aMYNoYB7H48bfomCPZHoR3Y2Li7AXfdHezVGNCu715X
 up+rHAUBgTHxyWdxc2Nz2LA3sOPsAAAUoSiFRuH85epl5E7nPlbzalv6TqtpnDl0BsPGMIQUyOk5
 rNRX0Alu1cXO+zvwNr2DEyClvB+i/YR9vI99IEA6n8ZiefFrOT0HXdHBGCtzxt8EBSioqjbVh+v1
 OrRpbYXqtO3TDk3RUEgXnsimsqe54DAUA5TQMdnhnzlHR44uvfj5F/+NuzyYLEy2zSZ7EsAYQxiG
 bRKglGJvbt73PX6fjQQYZ0jpKby++Pr3Zkdn4TMf5Z3ym4EbvKlmVZCQ6I1GY7Zer8sxObaMGBSi
 AMBX3cD9y4AHcIiDulMHD7kZ5+DCiQsXL/zNhYvxPoAEAiqVCra2ttoc4JzDsiwUi0XY9u68pBUd
 3RAngEuOe5V7qCxX8FbtLag5FcIXqH1QQ/qhNNSsisxSZvLixYunhBCeJPIX8T597uNy8TLu1u7C
 DmxILuFtejBXTQjW/9NnTwJc192X4IQQKJfLbVc/nr2TwEKGjfc2UFusgSjkk/YCSB3a/Z7yxo0b
 J7bWtyClXJ788uS+KbATOFj8cBHFHxfBg111SC4hQgEZ9H8uPQl44YUXLhYKhVf2DqMvOD0A/wTg
 PwCsY++fIN3w2GOPtR0PDw0733npO//gPe2NRcsJJavp2TT0MR3WiHWz+ULzFQDbE78z4RM19g0i
 oQgawY/sY/aWFG0OB2cWzvS9ckwGuXK/iUhcEPlNx289Af8L+AU6TrSMsIoAAAAASUVORK5CYII=
