=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/ipython" install
	mkdir -p "$(CURDIR)/debian/ipython"

	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/tools/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/tools/__init__.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/tools/__init__.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/tools/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/tools/growl.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/tools/growl.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/tools/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/tools/utils.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/tools/utils.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/cocoa/tests/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/cocoa/tests/__init__.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/cocoa/tests/__init__.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/cocoa/tests/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/cocoa/tests/test_cocoa_frontend.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/cocoa/tests/test_cocoa_frontend.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/process/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/process/__init__.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/process/__init__.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/process/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/process/killableprocess.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/process/killableprocess.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/process/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/process/pipedprocess.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/process/pipedprocess.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/process/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/process/winprocess.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/process/winprocess.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/tests/__init__.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/__init__.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/tests/test_asyncfrontendbase.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/test_asyncfrontendbase.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/tests/test_frontendbase.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/test_frontendbase.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/tests/test_linefrontend.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/test_linefrontend.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/tests/test_prefilterfrontend.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/test_prefilterfrontend.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/tests/test_process.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/test_process.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/gui/wx/__init__.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/__init__.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/gui/wx/ipshell_nonblocking.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/ipshell_nonblocking.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/gui/wx/ipython_history.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/ipython_history.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/gui/wx/ipython_view.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/ipython_view.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/gui/wx/thread_ex.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/thread_ex.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/gui/wx/wxIPython.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/wxIPython.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/kernel/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/kernel/__init__.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/kernel/__init__.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/kernel/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/kernel/asyncclient.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/kernel/asyncclient.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/kernel/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/kernel/client.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/kernel/client.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/kernel/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/kernel/clientconnector.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/kernel/clientconnector.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/kernel/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/kernel/clientinterfaces.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/kernel/clientinterfaces.py"
