## ipython 0.11

=== debian/changelog ===
ipython (0.11-2) unstable; urgency=low

  * upload to unstable
  * add patch fix-version-checks-for-pyzmq-2.1.10.patch
  * fix debianize-error-messages.patch to reraise unknown exceptions
  * suggest python-zmq for ipython package
  * use dh_sphinxdoc
    - bump sphinx dependency to >= 1.0.7+dfsg-1~, replace libjs-jquery
      dependency with ${sphinxdoc:Depends} and drop ipython-doc.links
  * remove empty directory from ipython
  * link duplicate images in ipython-doc
  * remove obsolete Conflicts and Replaces

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 22 Nov 2011 23:40:57 +0100

ipython (0.11-1) experimental; urgency=low

  * New upstream release
  * install all upstream manpages
  * debian/copyright: refer to LGPL-2.1 instead of LGPL symlink
  * install .desktop files for ipython and ipython-qtconsole
    - override desktop-command-not-in-package lintian warning for -qtconsole
      the command is in ipython package on which -qtconsole depends
  * debian/control: update homepage

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 31 Jul 2011 21:14:03 +0200

ipython (0.11~rc4-1) experimental; urgency=low

  * New upstream release candidate
  * update patch for debian specific error messages

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 19 Jul 2011 12:15:23 +0200

ipython (0.11~rc3-1) experimental; urgency=low

  * New upstream release candidate
  * fix some DEP5 syntax errors
  * remove upstreamed testsuite-fix patch
  * delete disabled obsolete patches 03, 04, 06
  * move parallel binaries from ipython to ipython-parallel
  * remove obsolete manpages debian/ipythonx.1 and debian/ipython-wx.1
  * install parallel manpages only in -parallel package

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 17 Jul 2011 16:09:01 +0200

ipython (0.11~rc1-1) experimental; urgency=low

  * New upstream release candidate
  * change to source format 3.0 (quilt)
  * run testsuite during build
  * add clean target
  * build-depends:
    - matplotlib, pymongo, xauth, xvfb and qt4 for tests
    - graphviz, sphinx for docs
  * add dependencies and don't install embedded copy:
    - python-argparse(Closes: #555348)
    - python-configobj (Closes: #555339)
    - python-simplegeneric
    - python-decorator
    - python-pyparsing
    - pexpect
  * update patches
    - disabled obsolete patches 03, 04 and 06
    - refresh default background color patch 07
    - add patch to fix testsuite
    - add patch to improve error message on missing ipython-qtconsole
  * change to compat 7
  * split out -parallel package
  * split out -qtconsole package
  * split out -doc package
  * improve dependencies for each package
  * add doc-base control file
  * fix the ipythonX.Y startup scripts

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 10 May 2011 16:18:45 +0200

ipython (0.10.2-1) unstable; urgency=low

  * new upstream release. Closes: #622643
  * added Julian Taylor <jtaylor.debian@googlemail.com> to uploaders
  * removed Bernd Zeimetz <bzed@debian.org> from uploaders
    thank you for your work
  * Use environment python interpreter. Closes: #547003
  * wrap-and-sort debian/
  * update standard to 3.9.2. no changes needed
  * set default colorscheme to LightBG. LP: #241535
  * converted copyright to DEP5
  * control: removed python:Breaks

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 21 Apr 2011 14:54:20 +0200

ipython (0.10.1-1) unstable; urgency=low

  * New upstream release.
  * Bumping Standards-Version to 3.9.1, no changes needed.
  * Migrating to dh and dh_python2. 

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 17 Feb 2011 17:49:42 +0100

ipython (0.10-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - removed Ondrej from Uploaders: thanks for your work!

  [ Jakub Wilk ]
  * Fix watch file.

  [ Bernd Zeimetz ]
  * Upload to ship ipython2.6 instead of ipython2.4.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 25 Apr 2010 14:53:21 +0200
