=== debian/control ===
Source: ipython
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Stephan Peijnik <debian@sp.or.at>,
           Julian Taylor <jtaylor.debian@googlemail.com>
Build-Depends: debhelper (>= 7.3.13)
Build-Depends-Indep: graphviz,
                     python-all (>= 2.6.6-3~),
                     python-argparse,
                     python-configobj,
                     python-decorator,
                     python-matplotlib,
                     python-nose,
                     python-pexpect,
                     python-pygments,
                     python-pymongo,
                     python-pyparsing,
                     python-qt4,
                     python-simplegeneric,
                     python-sphinx (>= 1.0.7+dfsg-1~),
                     python-wxgtk2.8,
                     python-zmq (>= 2.1.4),
                     xauth,
                     xvfb
X-Python-Version: >= 2.6
Homepage: http://ipython.org/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/ipython/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/ipython/trunk/
Standards-Version: 3.9.2
DM-Upload-Allowed: yes

Package: ipython
Architecture: all
Depends: python-argparse,
         python-configobj,
         python-decorator,
         python-pexpect,
         python-simplegeneric,
         ${misc:Depends},
         ${python:Depends}
Suggests: ipython-doc,
          ipython-parallel,
          ipython-qtconsole,
          python-gobject,
          python-gtk2,
          python-matplotlib,
          python-numpy,
          python-profiler,
          python-zmq (>= 2.0.10.1)
Description: enhanced interactive Python shell
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.

Package: ipython-qtconsole
Architecture: all
Depends: ipython (= ${binary:Version}),
         python-pygments,
         python-qt4,
         python-zmq (>= 2.0.10.1),
         ${misc:Depends},
         ${python:Depends}
Description: enhanced interactive Python shell
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the qt console.

Package: ipython-parallel
Architecture: all
Depends: ipython (= ${binary:Version}),
         python-zmq (>= 2.1.4),
         ${misc:Depends},
         ${python:Depends}
Description: enhanced interactive Python shell
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the parallel processing facilities.

Package: ipython-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: enhanced interactive Python shell
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the documentation.
