## ipython 0.12

=== debian/changelog ===
ipython (0.12-1) unstable; urgency=low

  [ Julian Taylor ]
  * New upstream release
    - fix qtconsole crash with nonsensical -c input (Closes: #642326)
  * new package: ipython-notebook
  * new python3 packages: ipython3, ipython3-qtconsole (Closes: #650725)
  * refreshed patches
  * parallel example folder renamed newparallel -> parallel
  * drop upstream applied fix-version-checks-for-pyzmq-2.1.10.patch
  * add patch for notebook to use libjs-mathjax and recommend it
  * merge -parallel package back into ipython, add transitional package
  * added python-tk build dependency for a test
  * debian/copyright: update for the new notebook sources
  * debian/rules:
    - do not install test sources
    - fail on testsuite error
    - install ipython svg to icons folder and patch desktop to use it
  * debian/control: remove gtk suggests
  * remove obsolete README.source for quilt

  [ Piotr Ożarowski ]
  * ipython-qtconsole: add python-pyside.qt{core,gui,svn} as an alternative
    dependency to python-qt4

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 29 Dec 2011 23:07:22 +0100
