=== debian/control ===
--- 
+++ 
@@ -19,11 +19,15 @@
                      python-qt4,
                      python-simplegeneric,
                      python-sphinx (>= 1.0.7+dfsg-1~),
+                     python-tk,
                      python-wxgtk2.8,
                      python-zmq (>= 2.1.4),
+                     python3-all,
+                     python3-setuptools,
                      xauth,
                      xvfb
 X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 Homepage: http://ipython.org/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/ipython/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/ipython/trunk/
@@ -40,14 +44,14 @@
          ${misc:Depends},
          ${python:Depends}
 Suggests: ipython-doc,
-          ipython-parallel,
+          ipython-notebook,
           ipython-qtconsole,
-          python-gobject,
-          python-gtk2,
           python-matplotlib,
           python-numpy,
           python-profiler,
           python-zmq (>= 2.0.10.1)
+Replaces: ipython-parallel (<< 0.12~20111208~ee40ebe0-2)
+Breaks: ipython-parallel(<< 0.12~20111208~ee40ebe0-2)
 Description: enhanced interactive Python shell
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific
@@ -58,11 +62,41 @@
  verbose and colored traceback reports, auto-parentheses, auto-quoting,
  and is embeddable in other Python programs.
 
+Package: ipython3
+Architecture: all
+Depends: python3-decorator,
+         python3-pkg-resources,
+         ${misc:Depends},
+         ${python3:Depends}
+Suggests: python3-zmq (>= 2.0.10.1)
+Description: enhanced interactive Python3 shell
+ IPython can be used as a replacement for the standard Python shell,
+ or it can be used as a complete working environment for scientific
+ computing (like Matlab or Mathematica) when paired with the standard
+ Python scientific and numerical tools. It supports dynamic object
+ introspections, numbered input/output prompts, a macro system,
+ session logging, session restoring, complete system shell access,
+ verbose and colored traceback reports, auto-parentheses, auto-quoting,
+ and is embeddable in other Python programs.
+ .
+ This package contains the Python3 variant of ipython.
+
+Package: ipython-parallel
+Depends: ipython (>= 0.12~), ${misc:Depends}
+Architecture: all
+Priority: extra
+Section: oldlibs
+Description: transitional dummy package
+ This is a transitional package and can be safely removed
+ after the installation is complete.
+
 Package: ipython-qtconsole
 Architecture: all
 Depends: ipython (= ${binary:Version}),
          python-pygments,
-         python-qt4,
+         python-qt4 | python-pyside.qtcore,
+         python-qt4 | python-pyside.qtgui,
+         python-qt4 | python-pyside.qtsvg,
          python-zmq (>= 2.0.10.1),
          ${misc:Depends},
          ${python:Depends}
@@ -78,12 +112,39 @@
  .
  This package contains the qt console.
 
-Package: ipython-parallel
+Package: ipython3-qtconsole
+Architecture: all
+Depends: ipython3 (= ${binary:Version}),
+         python3-pkg-resources,
+         python3-pygments,
+         python3-pyqt4 | python3-pyside.qtcore,
+         python3-pyqt4 | python3-pyside.qtgui,
+         python3-pyqt4 | python3-pyside.qtsvg,
+         python3-zmq (>= 2.0.10.1),
+         ${misc:Depends},
+         ${python3:Depends}
+Description: enhanced interactive Python3 shell
+ IPython can be used as a replacement for the standard Python shell,
+ or it can be used as a complete working environment for scientific
+ computing (like Matlab or Mathematica) when paired with the standard
+ Python scientific and numerical tools. It supports dynamic object
+ introspections, numbered input/output prompts, a macro system,
+ session logging, session restoring, complete system shell access,
+ verbose and colored traceback reports, auto-parentheses, auto-quoting,
+ and is embeddable in other Python programs.
+ .
+ This package contains the Python3 variant of the qt console.
+
+Package: ipython-notebook
 Architecture: all
 Depends: ipython (= ${binary:Version}),
+         libjs-jquery,
+         libjs-jquery-ui,
+         python-tornado (>= 2.1.0),
          python-zmq (>= 2.1.4),
          ${misc:Depends},
          ${python:Depends}
+Recommends: libjs-mathjax
 Description: enhanced interactive Python shell
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific
@@ -94,12 +155,15 @@
  verbose and colored traceback reports, auto-parentheses, auto-quoting,
  and is embeddable in other Python programs.
  .
- This package contains the parallel processing facilities.
+ This package contains the html notebook providing a Mathematica-like
+ webinterface to Python.
 
 Package: ipython-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ipython (= ${binary:Version}), ${misc:Depends}, ${sphinxdoc:Depends}
+Replaces: ipython-parallel (<< 0.12~20111208~ee40ebe0-2)
+Breaks: ipython-parallel(<< 0.12~20111208~ee40ebe0-2)
 Description: enhanced interactive Python shell
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific
