## ipython 0.12.1+dfsg

=== debian/changelog ===
ipython (0.12.1+dfsg-0ubuntu1) precise; urgency=low

  * New upstream release (Closes: #655413, #663256)
    Repackaged to remove minified javascript files from source.
  * add get-orig-source target to rules
  * ipython-notebook: depend on libjs-mathjax instead of recommending.
    mathjax can't be securely served from cloudfront.
  * debian/rules: delete build directory in clean
  * remove transitional ipython-parallel package
  * set HOME to build folder for doc build and tests (Closes: #665224)
  * move all examples to ipython-doc
  * move python-argparse to suggests (Closes: #653650)
  * update standard version to 3.9.3, no changes needed
  * override lintian desktop-command-not-in-package
  * remove python-pymongo build dep, tests skipped without running mongod

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 22 Apr 2012 16:26:59 +0200
