=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
                      python-nose,
                      python-pexpect,
                      python-pygments,
-                     python-pymongo,
                      python-pyparsing,
                      python-qt4,
                      python-simplegeneric,
@@ -31,13 +30,12 @@
 Homepage: http://ipython.org/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/ipython/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/ipython/trunk/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
 
 Package: ipython
 Architecture: all
-Depends: python-argparse,
-         python-configobj,
+Depends: python-configobj,
          python-decorator,
          python-pexpect,
          python-simplegeneric,
@@ -46,12 +44,11 @@
 Suggests: ipython-doc,
           ipython-notebook,
           ipython-qtconsole,
+          python-argparse,
           python-matplotlib,
           python-numpy,
           python-profiler,
           python-zmq (>= 2.0.10.1)
-Replaces: ipython-parallel (<< 0.12~20111208~ee40ebe0-2)
-Breaks: ipython-parallel(<< 0.12~20111208~ee40ebe0-2)
 Description: enhanced interactive Python shell
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific
@@ -61,6 +58,10 @@
  session logging, session restoring, complete system shell access,
  verbose and colored traceback reports, auto-parentheses, auto-quoting,
  and is embeddable in other Python programs.
+ .
+ This package contains the basic terminal shell. For the qt console
+ install ipython-qtconsole and for the html notebook install
+ ipython-notebook.
 
 Package: ipython3
 Architecture: all
@@ -68,8 +69,8 @@
          python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends}
-Suggests: python3-zmq (>= 2.0.10.1)
-Description: enhanced interactive Python3 shell
+Suggests: ipython3-qtconsole, python3-zmq (>= 2.0.10.1)
+Description: enhanced interactive Python 3 shell
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific
  computing (like Matlab or Mathematica) when paired with the standard
@@ -79,16 +80,8 @@
  verbose and colored traceback reports, auto-parentheses, auto-quoting,
  and is embeddable in other Python programs.
  .
- This package contains the Python3 variant of ipython.
-
-Package: ipython-parallel
-Depends: ipython (>= 0.12~), ${misc:Depends}
-Architecture: all
-Priority: extra
-Section: oldlibs
-Description: transitional dummy package
- This is a transitional package and can be safely removed
- after the installation is complete.
+ This package contains the Python 3 variant of ipython terminal shell.
+ For the qt console install ipython3-qtconsole.
 
 Package: ipython-qtconsole
 Architecture: all
@@ -100,7 +93,7 @@
          python-zmq (>= 2.0.10.1),
          ${misc:Depends},
          ${python:Depends}
-Description: enhanced interactive Python shell
+Description: enhanced interactive Python shell - Qt console
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific
  computing (like Matlab or Mathematica) when paired with the standard
@@ -123,7 +116,7 @@
          python3-zmq (>= 2.0.10.1),
          ${misc:Depends},
          ${python3:Depends}
-Description: enhanced interactive Python3 shell
+Description: enhanced interactive Python 3 shell - Qt console
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific
  computing (like Matlab or Mathematica) when paired with the standard
@@ -140,12 +133,12 @@
 Depends: ipython (= ${binary:Version}),
          libjs-jquery,
          libjs-jquery-ui,
+         libjs-mathjax,
          python-tornado (>= 2.1.0),
          python-zmq (>= 2.1.4),
          ${misc:Depends},
          ${python:Depends}
-Recommends: libjs-mathjax
-Description: enhanced interactive Python shell
+Description: interactive Python html notebook
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific
  computing (like Matlab or Mathematica) when paired with the standard
@@ -161,10 +154,8 @@
 Package: ipython-doc
 Section: doc
 Architecture: all
-Depends: ipython (= ${binary:Version}), ${misc:Depends}, ${sphinxdoc:Depends}
-Replaces: ipython-parallel (<< 0.12~20111208~ee40ebe0-2)
-Breaks: ipython-parallel(<< 0.12~20111208~ee40ebe0-2)
-Description: enhanced interactive Python shell
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Description: enhanced interactive Python shell - Documentation
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific
  computing (like Matlab or Mathematica) when paired with the standard
